# Implementation for the f5_commit type using the Resource API.
class Puppet::Provider::F5Commit::F5Commit
  def get(context, commits = nil)
    context.debug("Generating stub commit resources")
    return [] if commits.nil?
    commits.collect do |commit|
      {
        name:   commit,
        title:  commit,
        commit: !context.transport.changes_pending?(commit),
      }
    end
  end

  def set(context, changes)
    changes.each do |name, change| 
      if change[:should][:commit] && context.transport.changes_pending?(name)
        context.updating('commit') do
          context.transport.commit(name)
        end
      else
        context.info('changes detected, but skipping commit as requested')
      end
    end
  end
end
