# frozen_string_literal: true

require 'puppet/provider/f5_provider'

# Implementation for the f5_node type using the Resource API.
class Puppet::Provider::F5Rule::F5Rule < Puppet::Provider::F5SimpleProvider

  private

  # For policy rules that reference a rulelist and with no ip_protocol
  # We will set to ip_protocol any to prevent error on F5 API
  def update(context, id, should)
    should[:ip_protocol] = 'any' if !(should[:rule_list].nil? || should[:rule_list].empty?) && (should[:ip_protocol].nil? || should[:ip_protocol].empty?)
    super(context, id, should)
  end
end
