# frozen_string_literal: true

require 'puppet/resource_api'

Puppet::ResourceApi.register_transport(
  name: 'f5',
  desc: <<-EOS,
    This transport provides Puppet with the capability to connect to f5 targets.
  EOS
  features: [],
  connection_info: {
    host: {
      type: 'String',
      desc: 'The hostname or IP address to connect to for this target.',
    },
    port: {
      type: 'Optional[Integer]',
      desc: 'The port to connect to. Defaults to 443',
    },
    username: {
      type: 'String',
      desc: 'The name of the user to authenticate as.',
    },
    password: {
      type:      'String',
      desc:      'The password for the user.',
      sensitive: true,
    },
    ssl_verify: {
      type: 'Optional[Boolean]',
      desc: 'Whether to use SSL verification. (Default: true)',
    },
    proxy: {
      type: 'Optional[String]',
      desc: 'The proxy to use for the connection.',
    },
    conn_limit: {
      type: 'Optional[Integer]',
      desc: 'Maximum concurrent connections to open. Defaults to 4',
    }
  },
)
