# frozen_string_literal: true

require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'f5_commit',
  docs: <<-EOS,
@summary a f5_commit type
@example
f5_commit { 'foo': }

This type provides Puppet with the capabilities to commit all the f5_* resources
created with the attribute ```commit => 'foo'```
EOS
  features: ['remote_resource', 'simple_get_filter'],
  attributes: {
    name: {
      type:      'String',
      desc:      'The name of the resource you want to manage.',
      behaviour: :namevar,
    },
    commit: {
      type:      'Boolean',
      desc:      'Whether a commit should happen.',
      default:   true,
      #behaviour: :parameter,
    },
  },
)
