# frozen_string_literal: true

require 'puppet/resource_api'
require 'puppet/type/f5'

Puppet::ResourceApi.register_type(Puppet::Type::F5.definition({
  name: 'f5_policy',
  docs: <<-EOS,
@summary a f5_policy type
@example
f5_policy { 'foo':
  ensure => 'present',
}

This type provides Puppet with the capabilities to manage ...

If your type uses autorequires, please document as shown below, else delete
these lines.
**Autorequires**:
* `Package[foo]`
EOS
  baseurl: 'tm/security/firewall/policy',
}))
