# @summary This class install dependencies of this module into puppet agent
#
# @example Declaring the class
#   include f5::install::agent
class f5::install::agent {
  # include resource_api::install

  # For CentOS we need to install gcc and make for native gems
  package { ['gcc', 'make']:
    ensure => 'present',
  }

  # Specific versions for ruby 2.5 bundled with puppet 6
  package { 'console':
    ensure   => '1.15.3',
    provider => 'puppet_gem',
  }
  -> package { 'async':
    ensure   => '1.31.0',
    provider => 'puppet_gem',
  }
  -> package { 'async-http':
    ensure   => '0.59.5',
    provider => 'puppet_gem',
  }
}
